Package weka.gui.beans

# Class TextEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.TextEvent

All Implemented Interfaces:
  `Serializable`

public class TextEvent extends EventObject
Event that encapsulates some textual information

Version:
  $Revision: 1.4 $
Author:
  Mark Hall
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TextEvent(Object source, String text, String textTitle)`
Creates a new `TextEvent` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
Describe `getText` method here.
`String`
`getTextTitle()`
Describe `getTextTitle` method here.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextEvent

public TextEvent(Object source, String text, String textTitle)
Creates a new `TextEvent` instance.

Parameters:
  `source` - an `Object` value
  `text` - a `String` value

## Method Details

### getText

public String getText()
Describe `getText` method here.

Returns:
  a `String` value

### getTextTitle

public String getTextTitle()
Describe `getTextTitle` method here.

Returns:
  a `String` value